LanguageDetectorEvaluationErrorListener (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.cmdline.langdetect

## Class LanguageDetectorEvaluationErrorListener

- java.lang.Object
- - opennlp.tools.cmdline.EvaluationErrorPrinter<LanguageSample>
  - - opennlp.tools.cmdline.langdetect.LanguageDetectorEvaluationErrorListener

- All Implemented Interfaces:
    LanguageDetectorEvaluationMonitor, EvaluationMonitor<LanguageSample>

      public class LanguageDetectorEvaluationErrorListener
      extends opennlp.tools.cmdline.EvaluationErrorPrinter<LanguageSample>
      implements LanguageDetectorEvaluationMonitor

  A default implementation of `EvaluationMonitor` that prints to an output stream.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageDetectorEvaluationErrorListener()` Creates a listener that will print to System.err
    `LanguageDetectorEvaluationErrorListener(OutputStream outputStream)` Creates a listener that will print to a given `OutputStream`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `missclassified(LanguageSample reference, LanguageSample prediction)`

    - ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

      `correctlyClassified`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

      `correctlyClassified`

- - ### Constructor Detail

    - #### LanguageDetectorEvaluationErrorListener

          public LanguageDetectorEvaluationErrorListener()

      Creates a listener that will print to System.err

    - #### LanguageDetectorEvaluationErrorListener

          public LanguageDetectorEvaluationErrorListener(OutputStream outputStream)

      Creates a listener that will print to a given `OutputStream`

  - ### Method Detail

    - #### missclassified

          public void missclassified(LanguageSample reference,
                                     LanguageSample prediction)

      Specified by:
        `missclassified` in interface `EvaluationMonitor<LanguageSample>`
      Specified by:
        `missclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<LanguageSample>`

Copyright © 2026 The Apache Software Foundation. All rights reserved.